Deepin系统安装微信、QQ等exe文件攻略

一、应用商店软件版本过低

        微信、QQ等即时聊天工具在现代已经是不可或缺的,如果不能在Deepin中安装微信、QQ,绝对是一大遗憾。

        但是应用商店中的微信版本(2.6.8,目前官方2.9.5)、QQ版本(9.1.8,目前官方9.3.5),版本差距过大,有时会提示版本过低无法登录。

         同样较低版本很多功能无法使用,升级版本势在必行。

二、安装步骤

  1. 安装Deep-wine 。由于我们运行的是exe可执行文件,需要使用wine容器,运行sudo apt-get install deepin-wine下载。
sudo apt-get install deepin-wine #
  1. 应用商店安装微信、QQ。 同时也可以执行:
sudo apt install deepin.com.wechat #微信
sudo apt install deepin.com.qq.im  #QQ
  1. 容器初始化 。以微信为例,从启动器运行微信,使得容器初始化,然后退出即可。
  2. 下载官方最新版本
    (1).进入微信官网下载;
    (2)在合适的文件夹中运行(wget下载到指定文件夹):
wget -P  ~/Downloads/ https://dldir1.qq.com/weixin/Windows/WeChatSetup.exe

    QQ(进入官网选择windows版本):

wget -P  ~/Downloads/ https://down.qq.com/qqweb/PCQQ/PCQQ_EXE/PCQQ2020.exe
  1. 手动升级
    将下载好的WeChatSetup.exe或PCQQ2020.exe移动到QQ、微信指定目录通常是~/Documents/……,运行:之前放到别的目录之后无法在启动器中打开,这种方法较为简便。
    安装时可选择默认安装目录,不容易出问题。
env WINEPREFIX=/home/用户名/.deepinwine/Deepin-WeChat WINEARCH=win32 deepin-wine wechatsetup.exe
env WINEPREFIX=/home/用户名/.deepinwine/Deepin-QQ WINEARCH=win32 deepin-wine PCQQ2020.exe  #QQ
  1. 个性化设置

三、其他

问题:头像图片无法加载。
解决办法:禁用ipv6
打开文件

sudo vi /etc/default/grub

GRUB_CMDLINE_LINUX_DEFAULT="splash quiet " 

改成

GRUB_CMDLINE_LINUX_DEFAULT="ipv6.disable=1 splash quiet "

退出后执行

sudo update-grub

保存修改即可。

其他类似软件可使用相同方法安装。

2020年07月04日

    原文作者:葡萄花红
    原文地址: https://blog.csdn.net/qq_36837858/article/details/107128401
    本文转自网络文章,转载此文章仅为分享知识,如有侵权,请联系博主进行删除。
点赞